net.minecraft.client.resources

## Class ResourcePackRepository

- java.lang.Object
- - net.minecraft.client.resources.ResourcePackRepository

-     public class ResourcePackRepository
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ResourcePack` | `rprDefaultResourcePack`
    `MetadataSerializer` | `rprMetadataSerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePackRepository(File par1File, ResourcePack par2ResourcePack, MetadataSerializer par3MetadataSerializer, GameSettings par4GameSettings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDirResourcepacks()`
    `List` | `getRepositoryEntries()`
    `List` | `getRepositoryEntriesAll()`
    `String` | `getResourcePackName()`
    `void` | `setRepositoryEntries(ResourcePackRepositoryEntry... par1ArrayOfResourcePackRepositoryEntry)`
    `void` | `updateRepositoryEntriesAll()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rprDefaultResourcePack

          public final ResourcePack rprDefaultResourcePack

    - #### rprMetadataSerializer

          public final MetadataSerializer rprMetadataSerializer

  - ### Constructor Detail

    - #### ResourcePackRepository

          public ResourcePackRepository(File par1File,
                                ResourcePack par2ResourcePack,
                                MetadataSerializer par3MetadataSerializer,
                                GameSettings par4GameSettings)

  - ### Method Detail

    - #### updateRepositoryEntriesAll

          public void updateRepositoryEntriesAll()

    - #### getRepositoryEntriesAll

          public List getRepositoryEntriesAll()

    - #### getRepositoryEntries

          public List getRepositoryEntries()

    - #### getResourcePackName

          public String getResourcePackName()

    - #### setRepositoryEntries

          public void setRepositoryEntries(ResourcePackRepositoryEntry... par1ArrayOfResourcePackRepositoryEntry)

    - #### getDirResourcepacks

          public File getDirResourcepacks()